UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
tnwg_dstat_peer_send_stats_t_stct Struct Reference

Structure containing sending statistics for a peer portal. Used by tnwg_portal_peer_dstat_record_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC. More...

`#include <tnwgdmonmsgs.h>`

## Data Fields
uint64_t | data_fragments_forwarded
| Data fragments forwarded to this portal.
uint64_t | data_fragment_bytes_forwarded
| Data fragment bytes forwarded to this portal.
uint64_t | data_fragments_sent
| Data fragments sent.
uint64_t | data_fragment_bytes_sent
| Data fragment bytes sent.
uint64_t | data_fragments_dropped_dup
| Duplicate data fragments dropped.
uint64_t | data_fragment_bytes_dropped_dup
| Duplicate data fragment bytes dropped.
uint64_t | data_fragments_dropped_would_block
| Data fragments dropped due to EWOULDBLOCK.
uint64_t | data_fragment_bytes_dropped_would_block
| Data fragment bytes dropped due to EWOULDBLOCK.
uint64_t | data_fragments_dropped_not_operational
| Data fragments dropped due to portal not being operational.
uint64_t | data_fragment_bytes_dropped_not_operational
| Data fragment bytes dropped due to portal not being operational.
uint64_t | data_fragments_dropped_queue_failure
| Data fragments dropped due to queueing failure.
uint64_t | data_fragment_bytes_dropped_queue_failure
| Data fragment bytes dropped due to queueing failure.
uint64_t | unicast_msgs_forwarded
| Unicast messages forwarded to this portal.
uint64_t | unicast_msg_bytes_forwarded
| Unicast message bytes forwarded to this portal.
uint64_t | unicast_msgs_sent
| Unicast messages sent.
uint64_t | unicast_msg_bytes_sent
| Unicast message bytes sent.
uint64_t | unicast_msgs_dropped_would_block
| Unicast messages dropped due to EWOULDBLOCK.
uint64_t | unicast_msg_bytes_dropped_would_block
| Unicast message bytes dropped due to EWOULDBLOCK.
uint64_t | unicast_msgs_dropped_not_operational
| Unicast messages dropped due to portal not being operational.
uint64_t | unicast_msg_bytes_dropped_not_operational
| Unicast message bytes dropped due to portal not being operational.
uint64_t | unicast_msgs_dropped_queue_failure
| Unicast messages dropped due to queueing failure.
uint64_t | unicast_msg_bytes_dropped_queue_failure
| Unicast message bytes dropped due to queueing failure.
uint64_t | gateway_cntl_msgs
| DRO control messages.
uint64_t | gateway_cntl_msg_bytes
| DRO control message bytes.
uint64_t | gateway_cntl_msgs_sent
| DRO control messages sent.
uint64_t | gateway_cntl_msg_bytes_sent
| DRO control message bytes sent.
uint64_t | gateway_cntl_msgs_dropped_would_block
| DRO control messages dropped due to EWOULDBLOCK.
uint64_t | gateway_cntl_msg_bytes_dropped_would_block
| DRO control message bytes dropped due to EWOULDBLOCK.
uint64_t | gateway_cntl_msgs_dropped_not_operational
| DRO control messages dropped due to portal not being operational.
uint64_t | gateway_cntl_msg_bytes_dropped_not_operational
| DRO control message bytes dropped due to portal not being operational.
uint64_t | gateway_cntl_msgs_dropped_queue_failure
| DRO control messages dropped due to queueing failure.
uint64_t | gateway_cntl_msg_bytes_dropped_queue_failure
| DRO control message bytes dropped due to queueing failure.
uint64_t | batches
| Number of message batches.
uint64_t | batch_msgs_min
| Minimum number of messages per batch.
uint64_t | batch_msgs_mean
| Mean number of messages per batch.
uint64_t | batch_msgs_max
| Maximum number of messages per batch.
uint64_t | batch_bytes_min
| Minimum number of bytes per batch.
uint64_t | batch_bytes_mean
| Mean number of bytes per batch.
uint64_t | batch_bytes_max
| Maximum number of bytes per batch.
uint64_t | data_bytes_enqueued
| Current data bytes enqueued internally.
uint64_t | data_bytes_enqueued_max
| Maximum data bytes enqueued internally.
uint64_t | data_bytes_enqueued_limit
| Configured maximum data bytes allowed in queued.
uint64_t | rtt_samples
| Total RTT samples.
uint64_t | rtt_min
| Minimum RTT to companion.
uint64_t | rtt_mean
| Mean RTT to companion.
uint64_t | rtt_max
| Maximum RTT to companion.
uint64_t | last_ka_time
| Last keepalive responded to.
uint64_t | unicast_msg_bytes_enqueued
uint64_t | unicast_msg_bytes_enqueued_max
uint64_t | unicast_msg_bytes_enqueued_limit

## Detailed Description

Structure containing sending statistics for a peer portal. Used by tnwg_portal_peer_dstat_record_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC.

The documentation for this struct was generated from the following file:

- tnwgdmonmsgs.h